Subject: Getrusage?
From: [email-masked] (Keet / Foxbird)

17 May 1998 11:09:26 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I just tried out the USAGE command on a server I was running and got some
strange results back. It seems that everything returns a zero value (except
a few of them). Here's the output of the program:

Performed 0 input servicings.
Performed 0 output servicings.
Sent 0 messages over a socket.
Received 0 messages over a socket.
Received 0 signals.
Page faults NOT requiring physical I/O: 0
Page faults REQUIRING physical I/O: 0
Swapped out of main memory 0 times.
Voluntarily context switched 0 times.
Involuntarily context switched 0 times.
User time used: 0 sec.
System time used: 0 sec.
Pagesize for this machine: 4096
Maximum resident memory: 0k
Integral resident memory: 0k

Of course, the section inside the sys/resource header file defines them
all, and this program compiles without a hitch, so I don't think it's a
coding mistake, allthough it's possible. Am I just misinterpreting the
results of this, or is it actually telling me even though I am connected
and sending messages back and forth to the server, that nothing has been
sent or recieved, and that it has used NO system/user time? Something
doesn't seem quite right. Can anyone shed some light on this?

Thanks
- Greg Neujahr
  [email-masked]

        
        _______________________________
       +-------------------------------+
      /|        Keet the fox           |\
     / | X-Shipwars porter and c/c++   | \ 
    /  | programmer in training. Visit |  \
   /   |    his furry website at:      |   \
/-+----+-------------------------------+----+-\
| http://localsonly.wilmington.net/~keetnet/  |
|            or MoonGlow MUCK at              |
|      http://www.moonglow.dyn.ml.org         |
\---------------------------------------------/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".